# KSpigotParticle

fun KSpigotParticle(particle: Particle, amount: Int = 1, offset: Vector? = null, extra: Number = 1.0, data: Any? = null, force: Boolean = false)
Content copied to clipboard

## Parameters

particle

The type of the particle.

amount

The amount of particles.

offset

The offset at which particles should appear.

extra

Particle specific data, often specifying an aspect like speed.

data

Particle specific data, often specifying BlockData or an ItemStack.

force

Determines whether the client should be encouraged to display the particles.